/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.List;

/**
 * @author CBO
 */
public class TextCritereItemDTO extends InputCritereItemDTO {

    private boolean uppercase;
    private String helpPath;

    protected TextCritereItemDTO() {
    }

    public TextCritereItemDTO(String inputId) {
        super(inputId);
    }
    public TextCritereItemDTO(String inputId,String lastInputValue) {
        this(inputId);
        setLastInputValue(lastInputValue);
    }

    public boolean isUppercase() {
        return uppercase;
    }

    public void setUppercase(boolean uppercase) {
        this.uppercase = uppercase;
    }

    @Override
    public void accept(CritereItemVisitor critereItemVisitor) {
        critereItemVisitor.visit(this);
    }
    @Override
    public void accept(CritereItemVisitor critereItemVisitor, List<Property> properties) {
        critereItemVisitor.visit(this,properties);
    }

    public String getHelpPath() {
        return helpPath;
    }

    public void setHelpPath(String helpPath) {
        this.helpPath = helpPath;
    }
    
}
